
Infrastructure - Task #2916

Story # 2720 (Closed): KNB, LTER, PISCO, ESA, SANPARKS roll out

Task # 2882 (Closed): KNB MN upgrade

Install DataONE CA (new KNB)

2012-06-11 20:44 - Ben Leinfelder

Status: Closed Start date: 2012-06-11

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.35-Block.5.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

in /etc/ssl/certs

History

#1 - 2012-06-11 20:46 - Ben Leinfelder

This one is ready for any edits that need to be made.

sudo vi /etc/apache2/sites-enabled/knb-ssl 

hard to test since we don't have the hostname switched over...but good to have all the ducks in a row.

#2 - 2012-06-11 22:47 - Chris Jones

- Status changed from New to In Progress

SCP'd DataONECAChain.crt to mn-ucsb-3 and mn-ucsb-2 with the following contents from cn-ucsb-1:

cat /var/local/dataone/ca/DataONEProductionCA.crt \

/var/local/dataone/ca/DataONERootCA.crt \

/etc/ssl/certs/cilogon-basic.pem \

/etc/ssl/certs/cilogon-openid.pem \

/etc/ssl/certs/cilogon-silver.pem >> /etc/ssl/certs/DataONECAChain.crt

Added:

SSLCACertificateFile /etc/ssl/certs/DataONECAChain.crt

to:

mn-ucsb-3: /etc/apache2/sites-available/knb-ssl

mn-ucsb-2: /etc/apache2/sites-available/org.esa.data-ssl

mn-ucsb-2: /etc/apache2/sites-available/org.palmyraresearch.data-ssl
#3 - 2012-06-15 13:04 - Ben Leinfelder

- Status changed from In Progress to Closed
